# Rewards

The Voter Reward incentivizes the initial participation in EGL voting in the first year (52 weekly votes). The voter reward is not actively awarded to voters; rather, voters collect it when they call `withdraw()`or `reVote()`.

## Voter Reward Amount

The Voter Reward is awarded in the first 52 weekly votes (index 0 to 51), and its amounts are calculated using the following formula:

$$
reward\_i= 362,844.70 · (52-i)
$$

Thus, it gradually reduces from $$reward\_0 = 18,867,924$$EGLs in the first tally, to$$reward\_{51} =  362,844.70$$EGLs in the 52nd tally.

## Voter Share Size

The Voter Reward is shared each week among the EGL voters who actively voted in said week to affect the `desiredEgl`. The amount distributed each week is fixed (see below) and the share of each voter depends on the `lockupDuration` and `eglAmount` she specified in the `vote()` or `reVote()`.

The share size for $$voter\_j$$ is calculated as:

$$
share\_j = EGLs\_locked · lockup\_period
$$

while$$voter\_j's$$ EGL reward in week i is calculated:

$$
reward\_j = share\_j \* reward\_i
$$

For example, given the following voters in a  week:

* $$voter\_1$$ locks up 10 EGLs for 1 week   (Share1 = 10 · 1 = 10)
* $$voter\_2$$ locks up 10 EGLs for 2 weeks (Share2 = 10 · 2 = 20)
* $$voter\_3$$ locks up 20 EGLs for 1 week   (Share3 = 20 · 1 = 20)

$$voter\_2$$ will be rewarded $$20/50$$ or 40% of the weekly EGL reward (e.g. · Reward1)<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.egl.vote/protocol-overview/voting/rewards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
